﻿//Original by i0n0s, radical.ghost
//Modified by Fincuan for Arma2 and no Player vs. player matches
//Modified by radical.ghost for reading the GUIbutton values from userconfig file @27022010

// noPvP v2.2 RC3

class CfgPatches
{
	class InstantViewDistance_noPvP
	{
		units[] = {};
		weapons[] = {};
		requiredVersion = 1.0;
		requiredAddons[] = {"Extended_EventHandlers"};

	};
};

#include "\InstantViewDistance_noPvP\include\RG_Classes.h"
#include "\userconfig\IVD\IVD_config.hpp"


class Extended_PreInit_EventHandlers {
  RG_IVD_Init = "RG_IVD_Init_Var = [] execVM ""\InstantViewDistance_noPvP\Init.sqf""";
};

class RG_IVD_GUI
{
	idd = 131313; //Changed from 737973(vFNC)<- 737979(vION)
	movingEnable = true;
	controlsBackground[] = {Background, Background_Frame};
	objects[] = { }; 
	controls[] = {	IVDTitle,
					IVDButton1,
					IVDButton2,
					IVDButton3,
					IVDSlider,
					IVDSlider_Value,
					IVDTerrainLow,
					IVDTerrainMiddle,
					IVDTerrainHigh};
	
	class Background: RG_Background {
		x = 0.125;
		y = 0.25;
		w = 0.75;
		h = 0.235;
	};
	class Background_Frame: Background {
		style = ST_FRAME;	
	};
	class IVDTitle: RG_Title {
		x = 0.125;
		y = 0.25 + 0.0125;
		w = 0.75;
		h = 0.03;
		text = $STR_RG_IVD_TITLE;
	};
	class IVDButton1: RG_Button {
		idc = 1002;
		x = 0.125 + 0.015;
		y = 0.25 + 0.055;
		w = 0.23;
		h = 0.04;
		text = "";
		action = "RG_IVD_Distance = IVD_Button1_value; call RG_IVD_Update;";
	};
	class IVDButton2: RG_Button {
		idc = 1003;
		x = 0.125 + 0.26;
		y = 0.25 + 0.055;
		w = 0.23;
		h = 0.04;
		text = "";
		action = "RG_IVD_Distance = IVD_Button2_value; call RG_IVD_Update;";
	};
	class IVDButton3: RG_Button {
		idc = 1004;
		x = 0.125 + 0.505;
		y = 0.25 + 0.055;
		w = 0.23;
		h = 0.04;
		text = "";
		action = "RG_IVD_Distance = IVD_Button3_value; call RG_IVD_Update;";
	};
	class IVDSlider: RG_Slider {
		idc = 1000;
		x = 0.125 + 0.0125;
		y = 0.25 + 0.1075;
		w = 0.725;
		h = 0.03;
		onSliderPosChanged = "RG_IVD_Distance = _this select 1; call RG_IVD_Update;";
	};
	class IVDSlider_Value: RG_TextSmall{
		idc = 1001;
		x = 0.125 + 0.0125;
		y = 0.25 + 0.15;
		w = 0.725;
		h = 0.02;
		text = "";
	};
	class IVDTerrainLow: RG_Button {
		x = 0.125 + 0.015;
		y = 0.25 + 0.1825;
		w = 0.23;
		h = 0.04;
		text = $STR_RG_IVD_TerrainLow;
		action = "RG_IVD_Tdetail = IVD_TerrainLow_value; call RG_IVD_TD_Update;";
	};
	class IVDTerrainMiddle: RG_Button {
		x = 0.125 + 0.26;
		y = 0.25 + 0.1825;
		w = 0.23;
		h = 0.04;
		text = $STR_RG_IVD_TerrainMiddle;
		action = "RG_IVD_Tdetail = IVD_TerrainMiddle_value; call RG_IVD_TD_Update;";
	};
	class IVDTerrainHigh: RG_Button {
		x = 0.125 + 0.505;
		y = 0.25 + 0.1825;
		w = 0.23;
		h = 0.04;
		text = $STR_RG_IVD_TerrainHigh;
		action = "RG_IVD_Tdetail = IVD_TerrainHigh_value; call RG_IVD_TD_Update;";
	};	
};
